package org.jeecg.config.GuavaRateLimiter;

import java.lang.annotation.*;
import java.util.concurrent.TimeUnit;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RateLimiter {
    /**
     * 一秒内允许通过的请求数 QPS
     */
    double permitRate();
    /**
     * 超时时间
     */
    long timeout();

    /**
     * 超时时间单位
     */
    TimeUnit timeUnit();
}

